View Issue Details

IDProjectCategoryView StatusLast Update
0018328PatchesIDEpublic2011-01-24 10:18
ReporterAlexander S. KleninAssigned ToVincent Snijders 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.31 (SVN)Product Build 
Target Version0.99.0Fixed in Version0.9.29 (SVN) 
Summary0018328: Search results: selected line has unreadable color
DescriptionThe color of selected line is text-on-selection
(black-on-blue in default WinXP theme).
It should be highlight-on-selection (white-on-blue).

Attached patch solves the issue for leaf nodes,
but not for expandable nodes, as shown on screenshot.
TagsNo tags attached.
Fixed in Revision28840
LazTarget0.99.0
WidgetsetWin32/Win64
Attached Files
  • search_results_invisible.patch (472 bytes)
    Index: searchresultview.pp
    ===================================================================
    --- searchresultview.pp	(revision 28826)
    +++ searchresultview.pp	(working copy)
    @@ -895,6 +895,8 @@
       TextEnd, DrawnTextLength: integer;
       ARect: TRect;
     begin
    +  if [cdsSelected,cdsMarked] * State <> [] then
    +    (Sender as TLazSearchResultTV).Canvas.Font.Color := clHighlightText;
       if Stage <> cdPostPaint then Exit;
       With Sender as TLazSearchResultTV do
       begin
    

Activities

2010-12-27 14:03

 

search_results_invisible.patch (472 bytes)
Index: searchresultview.pp
===================================================================
--- searchresultview.pp	(revision 28826)
+++ searchresultview.pp	(working copy)
@@ -895,6 +895,8 @@
   TextEnd, DrawnTextLength: integer;
   ARect: TRect;
 begin
+  if [cdsSelected,cdsMarked] * State <> [] then
+    (Sender as TLazSearchResultTV).Canvas.Font.Color := clHighlightText;
   if Stage <> cdPostPaint then Exit;
   With Sender as TLazSearchResultTV do
   begin

2010-12-27 14:04

 

Vincent Snijders

2010-12-30 12:41

manager   ~0044714

The treeview used unthemed drawing, so we had to apply the colors ourselves.
The file name part was not drawn in TSearchResultsView.TreeViewAdvancedCustomDrawItem, so it used the default drawing.


I don't know if it is ok for no themed treeviews, to draw with these colors. If it is not ok, then that needs to be fixed in the LCL.

Alexander S. Klenin

2010-12-30 12:57

developer   ~0044716

Thanks

Issue History

Date Modified Username Field Change
2010-12-27 14:03 Alexander S. Klenin New Issue
2010-12-27 14:03 Alexander S. Klenin File Added: search_results_invisible.patch
2010-12-27 14:03 Alexander S. Klenin LazTarget => -
2010-12-27 14:03 Alexander S. Klenin Widgetset => Win32/Win64
2010-12-27 14:04 Alexander S. Klenin File Added: search_results_invisible.png
2010-12-27 14:25 Vincent Snijders LazTarget - => 0.99.0
2010-12-27 14:25 Vincent Snijders Status new => acknowledged
2010-12-27 14:25 Vincent Snijders Target Version => 0.99.0
2010-12-30 12:41 Vincent Snijders Status acknowledged => resolved
2010-12-30 12:41 Vincent Snijders Resolution open => fixed
2010-12-30 12:41 Vincent Snijders Assigned To => Vincent Snijders
2010-12-30 12:41 Vincent Snijders Note Added: 0044714
2010-12-30 12:41 Vincent Snijders Fixed in Version => 0.9.31
2010-12-30 12:44 Vincent Snijders Fixed in Revision => 28840
2010-12-30 12:57 Alexander S. Klenin Status resolved => closed
2010-12-30 12:57 Alexander S. Klenin Note Added: 0044716
2010-12-30 12:57 Alexander S. Klenin Fixed in Version => 0.9.31
2011-01-24 10:18 Vincent Snijders Fixed in Version 0.9.31 (SVN) => 0.9.29 (SVN)